Subject: Re: [PATCH net-next 00/15] Netfilter/IPVS updates for net-next

From: Pablo Neira Ayuso <[email-masked]>
Date: Tue, 9 Jun 2026 00:39:29 +0200

Hi,

On Mon, Jun 08, 2026 at 01:58:40PM +0200, Pablo Neira Ayuso wrote:
> Hi,
> 
> I'm replying to Sashiko.dev comments here:
> 
> * [PATCH net-next 06/15] netfilter: synproxy: fix unaligned memory access in timestamp adjustment
> 
> Refers to pre-existing issue. I think this comment is not correct?

Yes, it is, inet_proto_csum_replace4() needs an even offset to the
16-bit word. Checksum will be corrupted, but at least the alignment
issue is addressed, which leaves things better than before. Maybe
it is worth to add a note to this patch.

I can post a v2 of this PR to refine the few things that make sense at
this stage.